#ifndef _IO_H_
#define _IO_H_


#include <libusb-1.0/libusb.h>

#include "ComputedPacket.h"
#include "Packet.h"


#define ENDPOINT_OUT (0x01)
#define ENDPOINT_IN (0x82)


extern int connected;


int SendComputedPacket(ComputedPacket PacketToSend);
int  ReceiveComputedPacket(ComputedPacket * ReceivedPacket);


int TreatReceivedMessages(Packet * answer);

int SendPacketAndAck(Packet PacketToSend);

void InitConnection();

void EndConnection();

int Get512Character(char * characterBuffer);


extern libusb_device_handle * deviceHandle;


#endif // _IO_H_
